Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QXmlStreamAttribute

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xml.QXmlStreamAttribute

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QXmlStreamAttribute

extends QtJambiObject
implements java.lang.Cloneable

The `QXmlStreamAttribute` class represents a single XML attribute An attribute consists of an optionally empty `namespaceUri()`, a `name()`, a `value()`, and an `isDefault()` attribute.

The raw XML attribute name is returned as `qualifiedName()`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QXmlStreamAttribute()` Creates an empty attribute.
`QXmlStreamAttribute(QXmlStreamAttribute arg__1)` Creates a copy of `other`.
`QXmlStreamAttribute(java.lang.String qualifiedName, java.lang.String value)` Constructs an attribute with qualified name `qualifiedName` and value `value`.
`QXmlStreamAttribute(java.lang.String namespaceUri, java.lang.String name, java.lang.String value)` Constructs an attribute in the namespace described with `namespaceUri` with `name` and value `value`.

Method Summary
`QXmlStreamAttribute` | `clone()` This method is reimplemented for internal reasons
`static QXmlStreamAttribute` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QXmlStreamAttribute instance pointed to by `nativePointer`.
`boolean` | `isDefault()` Returns true if the parser added this attribute with a default value following an ATTLIST declaration in the DTD; otherwise returns false.
`java.lang.String` | `name()` Returns the attribute's local name.
`java.lang.String` | `namespaceUri()` Returns the attribute's resolved `namespaceUri`, or an empty string reference if the attribute does not have a defined namespace.
`static QNativePointer` | `nativePointerArray(QXmlStreamAttribute[] array)` This function returns a QNativePointer that is pointing to the specified QXmlStreamAttribute array.
`java.lang.String` | `prefix()` Returns the attribute's namespace prefix.
`java.lang.String` | `qualifiedName()` Returns the attribute's qualified name.
`java.lang.String` | `value()` Returns the attribute's value.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QXmlStreamAttribute

    public QXmlStreamAttribute()

  Creates an empty attribute.

### QXmlStreamAttribute

    public QXmlStreamAttribute(java.lang.String namespaceUri,
                               java.lang.String name,
                               java.lang.String value)

  Constructs an attribute in the namespace described with `namespaceUri` with `name` and value `value`.

### QXmlStreamAttribute

    public QXmlStreamAttribute(java.lang.String qualifiedName,
                               java.lang.String value)

  Constructs an attribute with qualified name `qualifiedName` and value `value`.

### QXmlStreamAttribute

    public QXmlStreamAttribute(QXmlStreamAttribute arg__1)

  Creates a copy of `other`.

Method Detail

### isDefault

    public final boolean isDefault()

  Returns true if the parser added this attribute with a default value following an ATTLIST declaration in the DTD; otherwise returns false.

### name

    public final java.lang.String name()

  Returns the attribute's local name.

### namespaceUri

    public final java.lang.String namespaceUri()

  Returns the attribute's resolved `namespaceUri`, or an empty string reference if the attribute does not have a defined namespace.

### prefix

    public final java.lang.String prefix()

  Returns the attribute's namespace prefix.

See also:
  `name()`, and `qualifiedName()`.

### qualifiedName

    public final java.lang.String qualifiedName()

  Returns the attribute's qualified name.

  A qualified name is the raw name of an attribute in the XML data. It consists of the namespace `prefix()`, followed by colon, followed by the attribute's local `name()`. Since the namespace prefix is not unique (the same prefix can point to different namespaces and different prefixes can point to the same namespace), you shouldn't use `qualifiedName()`, but the resolved `namespaceUri()` and the attribute's local `name()`.

### value

    public final java.lang.String value()

  Returns the attribute's value.

### fromNativePointer

    public static QXmlStreamAttribute fromNativePointer(QNativePointer nativePointer)

  This method returns the QXmlStreamAttribute instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QXmlStreamAttribute[] array)

  This function returns a QNativePointer that is pointing to the specified QXmlStreamAttribute array.

### clone

    public QXmlStreamAttribute clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD